// Code generated by protoc-gen-go. DO NOT EDIT.
// source: models/phoneBook.proto

/*
Package models is a generated protocol buffer package.

It is generated from these files:
	models/phoneBook.proto

It has these top-level messages:
	ContactKeyword
	ContactFullRequest
	ContactResponse
	NumberRequest
	UpdateNameRequest
	UpdateAddressRequest
*/
package models

import proto "github.com/golang/protobuf/proto"
import fmt "fmt"
import math "math"

import (
	context "golang.org/x/net/context"
	grpc "google.golang.org/grpc"
)

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.ProtoPackageIsVersion2 // please upgrade the proto package

type ContactKeyword struct {
	Keyword string `protobuf:"bytes,1,opt,name=keyword" json:"keyword,omitempty"`
}

func (m *ContactKeyword) Reset()                    { *m = ContactKeyword{} }
func (m *ContactKeyword) String() string            { return proto.CompactTextString(m) }
func (*ContactKeyword) ProtoMessage()               {}
func (*ContactKeyword) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{0} }

func (m *ContactKeyword) GetKeyword() string {
	if m != nil {
		return m.Keyword
	}
	return ""
}

type ContactFullRequest struct {
	Number  string                      `protobuf:"bytes,1,opt,name=number" json:"number,omitempty"`
	Name    string                      `protobuf:"bytes,2,opt,name=name" json:"name,omitempty"`
	Address *ContactFullRequest_Address `protobuf:"bytes,3,opt,name=address" json:"address,omitempty"`
}

func (m *ContactFullRequest) Reset()                    { *m = ContactFullRequest{} }
func (m *ContactFullRequest) String() string            { return proto.CompactTextString(m) }
func (*ContactFullRequest) ProtoMessage()               {}
func (*ContactFullRequest) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{1} }

func (m *ContactFullRequest) GetNumber() string {
	if m != nil {
		return m.Number
	}
	return ""
}

func (m *ContactFullRequest) GetName() string {
	if m != nil {
		return m.Name
	}
	return ""
}

func (m *ContactFullRequest) GetAddress() *ContactFullRequest_Address {
	if m != nil {
		return m.Address
	}
	return nil
}

type ContactFullRequest_Address struct {
	Street      string `protobuf:"bytes,1,opt,name=street" json:"street,omitempty"`
	NumberHouse string `protobuf:"bytes,2,opt,name=numberHouse" json:"numberHouse,omitempty"`
	NumberFlat  string `protobuf:"bytes,3,opt,name=numberFlat" json:"numberFlat,omitempty"`
}

func (m *ContactFullRequest_Address) Reset()                    { *m = ContactFullRequest_Address{} }
func (m *ContactFullRequest_Address) String() string            { return proto.CompactTextString(m) }
func (*ContactFullRequest_Address) ProtoMessage()               {}
func (*ContactFullRequest_Address) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{1, 0} }

func (m *ContactFullRequest_Address) GetStreet() string {
	if m != nil {
		return m.Street
	}
	return ""
}

func (m *ContactFullRequest_Address) GetNumberHouse() string {
	if m != nil {
		return m.NumberHouse
	}
	return ""
}

func (m *ContactFullRequest_Address) GetNumberFlat() string {
	if m != nil {
		return m.NumberFlat
	}
	return ""
}

type ContactResponse struct {
	Number string `protobuf:"bytes,1,opt,name=number" json:"number,omitempty"`
	Status bool   `protobuf:"varint,2,opt,name=status" json:"status,omitempty"`
}

func (m *ContactResponse) Reset()                    { *m = ContactResponse{} }
func (m *ContactResponse) String() string            { return proto.CompactTextString(m) }
func (*ContactResponse) ProtoMessage()               {}
func (*ContactResponse) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{2} }

func (m *ContactResponse) GetNumber() string {
	if m != nil {
		return m.Number
	}
	return ""
}

func (m *ContactResponse) GetStatus() bool {
	if m != nil {
		return m.Status
	}
	return false
}

type NumberRequest struct {
	Number string `protobuf:"bytes,1,opt,name=number" json:"number,omitempty"`
}

func (m *NumberRequest) Reset()                    { *m = NumberRequest{} }
func (m *NumberRequest) String() string            { return proto.CompactTextString(m) }
func (*NumberRequest) ProtoMessage()               {}
func (*NumberRequest) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{3} }

func (m *NumberRequest) GetNumber() string {
	if m != nil {
		return m.Number
	}
	return ""
}

type UpdateNameRequest struct {
	Number string `protobuf:"bytes,1,opt,name=number" json:"number,omitempty"`
	Name   string `protobuf:"bytes,2,opt,name=name" json:"name,omitempty"`
}

func (m *UpdateNameRequest) Reset()                    { *m = UpdateNameRequest{} }
func (m *UpdateNameRequest) String() string            { return proto.CompactTextString(m) }
func (*UpdateNameRequest) ProtoMessage()               {}
func (*UpdateNameRequest) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{4} }

func (m *UpdateNameRequest) GetNumber() string {
	if m != nil {
		return m.Number
	}
	return ""
}

func (m *UpdateNameRequest) GetName() string {
	if m != nil {
		return m.Name
	}
	return ""
}

type UpdateAddressRequest struct {
	Number  string                        `protobuf:"bytes,1,opt,name=number" json:"number,omitempty"`
	Address *UpdateAddressRequest_Address `protobuf:"bytes,2,opt,name=address" json:"address,omitempty"`
}

func (m *UpdateAddressRequest) Reset()                    { *m = UpdateAddressRequest{} }
func (m *UpdateAddressRequest) String() string            { return proto.CompactTextString(m) }
func (*UpdateAddressRequest) ProtoMessage()               {}
func (*UpdateAddressRequest) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{5} }

func (m *UpdateAddressRequest) GetNumber() string {
	if m != nil {
		return m.Number
	}
	return ""
}

func (m *UpdateAddressRequest) GetAddress() *UpdateAddressRequest_Address {
	if m != nil {
		return m.Address
	}
	return nil
}

type UpdateAddressRequest_Address struct {
	Street      string `protobuf:"bytes,1,opt,name=street" json:"street,omitempty"`
	NumberHouse string `protobuf:"bytes,2,opt,name=numberHouse" json:"numberHouse,omitempty"`
	NumberFlat  string `protobuf:"bytes,3,opt,name=numberFlat" json:"numberFlat,omitempty"`
}

func (m *UpdateAddressRequest_Address) Reset()                    { *m = UpdateAddressRequest_Address{} }
func (m *UpdateAddressRequest_Address) String() string            { return proto.CompactTextString(m) }
func (*UpdateAddressRequest_Address) ProtoMessage()               {}
func (*UpdateAddressRequest_Address) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{5, 0} }

func (m *UpdateAddressRequest_Address) GetStreet() string {
	if m != nil {
		return m.Street
	}
	return ""
}

func (m *UpdateAddressRequest_Address) GetNumberHouse() string {
	if m != nil {
		return m.NumberHouse
	}
	return ""
}

func (m *UpdateAddressRequest_Address) GetNumberFlat() string {
	if m != nil {
		return m.NumberFlat
	}
	return ""
}

func init() {
	proto.RegisterType((*ContactKeyword)(nil), "models.ContactKeyword")
	proto.RegisterType((*ContactFullRequest)(nil), "models.ContactFullRequest")
	proto.RegisterType((*ContactFullRequest_Address)(nil), "models.ContactFullRequest.Address")
	proto.RegisterType((*ContactResponse)(nil), "models.ContactResponse")
	proto.RegisterType((*NumberRequest)(nil), "models.NumberRequest")
	proto.RegisterType((*UpdateNameRequest)(nil), "models.UpdateNameRequest")
	proto.RegisterType((*UpdateAddressRequest)(nil), "models.UpdateAddressRequest")
	proto.RegisterType((*UpdateAddressRequest_Address)(nil), "models.UpdateAddressRequest.Address")
}

// Reference imports to suppress errors if they are not otherwise used.
var _ context.Context
var _ grpc.ClientConn

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
const _ = grpc.SupportPackageIsVersion4

// Client API for PhoneBook service

type PhoneBookClient interface {
	GetAllPhonebook(ctx context.Context, in *ContactKeyword, opts ...grpc.CallOption) (PhoneBook_GetAllPhonebookClient, error)
	AddContact(ctx context.Context, in *ContactFullRequest, opts ...grpc.CallOption) (*ContactResponse, error)
	DeleteContact(ctx context.Context, in *NumberRequest, opts ...grpc.CallOption) (*ContactResponse, error)
	SearchContact(ctx context.Context, in *NumberRequest, opts ...grpc.CallOption) (*ContactFullRequest, error)
	UpdateName(ctx context.Context, in *UpdateNameRequest, opts ...grpc.CallOption) (*ContactResponse, error)
	UpdateAddress(ctx context.Context, in *UpdateAddressRequest, opts ...grpc.CallOption) (*ContactResponse, error)
}

type phoneBookClient struct {
	cc *grpc.ClientConn
}

func NewPhoneBookClient(cc *grpc.ClientConn) PhoneBookClient {
	return &phoneBookClient{cc}
}

func (c *phoneBookClient) GetAllPhonebook(ctx context.Context, in *ContactKeyword, opts ...grpc.CallOption) (PhoneBook_GetAllPhonebookClient, error) {
	stream, err := grpc.NewClientStream(ctx, &_PhoneBook_serviceDesc.Streams[0], c.cc, "/models.PhoneBook/GetAllPhonebook", opts...)
	if err != nil {
		return nil, err
	}
	x := &phoneBookGetAllPhonebookClient{stream}
	if err := x.ClientStream.SendMsg(in); err != nil {
		return nil, err
	}
	if err := x.ClientStream.CloseSend(); err != nil {
		return nil, err
	}
	return x, nil
}

type PhoneBook_GetAllPhonebookClient interface {
	Recv() (*ContactFullRequest, error)
	grpc.ClientStream
}

type phoneBookGetAllPhonebookClient struct {
	grpc.ClientStream
}

func (x *phoneBookGetAllPhonebookClient) Recv() (*ContactFullRequest, error) {
	m := new(ContactFullRequest)
	if err := x.ClientStream.RecvMsg(m); err != nil {
		return nil, err
	}
	return m, nil
}

func (c *phoneBookClient) AddContact(ctx context.Context, in *ContactFullRequest, opts ...grpc.CallOption) (*ContactResponse, error) {
	out := new(ContactResponse)
	err := grpc.Invoke(ctx, "/models.PhoneBook/AddContact", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *phoneBookClient) DeleteContact(ctx context.Context, in *NumberRequest, opts ...grpc.CallOption) (*ContactResponse, error) {
	out := new(ContactResponse)
	err := grpc.Invoke(ctx, "/models.PhoneBook/DeleteContact", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *phoneBookClient) SearchContact(ctx context.Context, in *NumberRequest, opts ...grpc.CallOption) (*ContactFullRequest, error) {
	out := new(ContactFullRequest)
	err := grpc.Invoke(ctx, "/models.PhoneBook/SearchContact", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *phoneBookClient) UpdateName(ctx context.Context, in *UpdateNameRequest, opts ...grpc.CallOption) (*ContactResponse, error) {
	out := new(ContactResponse)
	err := grpc.Invoke(ctx, "/models.PhoneBook/UpdateName", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *phoneBookClient) UpdateAddress(ctx context.Context, in *UpdateAddressRequest, opts ...grpc.CallOption) (*ContactResponse, error) {
	out := new(ContactResponse)
	err := grpc.Invoke(ctx, "/models.PhoneBook/UpdateAddress", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// Server API for PhoneBook service

type PhoneBookServer interface {
	GetAllPhonebook(*ContactKeyword, PhoneBook_GetAllPhonebookServer) error
	AddContact(context.Context, *ContactFullRequest) (*ContactResponse, error)
	DeleteContact(context.Context, *NumberRequest) (*ContactResponse, error)
	SearchContact(context.Context, *NumberRequest) (*ContactFullRequest, error)
	UpdateName(context.Context, *UpdateNameRequest) (*ContactResponse, error)
	UpdateAddress(context.Context, *UpdateAddressRequest) (*ContactResponse, error)
}

func RegisterPhoneBookServer(s *grpc.Server, srv PhoneBookServer) {
	s.RegisterService(&_PhoneBook_serviceDesc, srv)
}

func _PhoneBook_GetAllPhonebook_Handler(srv interface{}, stream grpc.ServerStream) error {
	m := new(ContactKeyword)
	if err := stream.RecvMsg(m); err != nil {
		return err
	}
	return srv.(PhoneBookServer).GetAllPhonebook(m, &phoneBookGetAllPhonebookServer{stream})
}

type PhoneBook_GetAllPhonebookServer interface {
	Send(*ContactFullRequest) error
	grpc.ServerStream
}

type phoneBookGetAllPhonebookServer struct {
	grpc.ServerStream
}

func (x *phoneBookGetAllPhonebookServer) Send(m *ContactFullRequest) error {
	return x.ServerStream.SendMsg(m)
}

func _PhoneBook_AddContact_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ContactFullRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(PhoneBookServer).AddContact(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/models.PhoneBook/AddContact",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(PhoneBookServer).AddContact(ctx, req.(*ContactFullRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _PhoneBook_DeleteContact_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(NumberRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(PhoneBookServer).DeleteContact(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/models.PhoneBook/DeleteContact",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(PhoneBookServer).DeleteContact(ctx, req.(*NumberRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _PhoneBook_SearchContact_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(NumberRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(PhoneBookServer).SearchContact(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/models.PhoneBook/SearchContact",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(PhoneBookServer).SearchContact(ctx, req.(*NumberRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _PhoneBook_UpdateName_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(UpdateNameRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(PhoneBookServer).UpdateName(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/models.PhoneBook/UpdateName",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(PhoneBookServer).UpdateName(ctx, req.(*UpdateNameRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _PhoneBook_UpdateAddress_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(UpdateAddressRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(PhoneBookServer).UpdateAddress(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/models.PhoneBook/UpdateAddress",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(PhoneBookServer).UpdateAddress(ctx, req.(*UpdateAddressRequest))
	}
	return interceptor(ctx, in, info, handler)
}

var _PhoneBook_serviceDesc = grpc.ServiceDesc{
	ServiceName: "models.PhoneBook",
	HandlerType: (*PhoneBookServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "AddContact",
			Handler:    _PhoneBook_AddContact_Handler,
		},
		{
			MethodName: "DeleteContact",
			Handler:    _PhoneBook_DeleteContact_Handler,
		},
		{
			MethodName: "SearchContact",
			Handler:    _PhoneBook_SearchContact_Handler,
		},
		{
			MethodName: "UpdateName",
			Handler:    _PhoneBook_UpdateName_Handler,
		},
		{
			MethodName: "UpdateAddress",
			Handler:    _PhoneBook_UpdateAddress_Handler,
		},
	},
	Streams: []grpc.StreamDesc{
		{
			StreamName:    "GetAllPhonebook",
			Handler:       _PhoneBook_GetAllPhonebook_Handler,
			ServerStreams: true,
		},
	},
	Metadata: "models/phoneBook.proto",
}

func init() { proto.RegisterFile("models/phoneBook.proto", fileDescriptor0) }

var fileDescriptor0 = []byte{
	// 399 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0xc4, 0x54, 0xdb, 0x0a, 0xd3, 0x40,
	0x10, 0x6d, 0x5a, 0x69, 0xed, 0x94, 0x58, 0x1c, 0xb4, 0xc6, 0x20, 0x52, 0x16, 0xc1, 0xe2, 0x43,
	0x94, 0xfa, 0x2a, 0x4a, 0xda, 0x52, 0x2b, 0x42, 0x91, 0x88, 0x1f, 0xb0, 0x6d, 0x06, 0x0a, 0x4d,
	0xb2, 0x31, 0xbb, 0x41, 0xfc, 0x2d, 0x7f, 0xc5, 0x4f, 0xf0, 0x47, 0xa4, 0x7b, 0xa1, 0x17, 0x6d,
	0x0a, 0xbe, 0xf8, 0xb6, 0x73, 0xf6, 0xe4, 0xcc, 0xec, 0x9c, 0x43, 0x60, 0x94, 0x8b, 0x94, 0x32,
	0xf9, 0xb2, 0xdc, 0x89, 0x82, 0x66, 0x42, 0xec, 0xa3, 0xb2, 0x12, 0x4a, 0x60, 0xd7, 0xe0, 0xec,
	0x05, 0xdc, 0x9b, 0x8b, 0x42, 0xf1, 0xad, 0xfa, 0x48, 0xdf, 0xbf, 0x89, 0x2a, 0xc5, 0x00, 0x7a,
	0x7b, 0x73, 0x0c, 0xbc, 0xb1, 0x37, 0xe9, 0x27, 0xae, 0x64, 0xbf, 0x3c, 0x40, 0x4b, 0x5e, 0xd6,
	0x59, 0x96, 0xd0, 0xd7, 0x9a, 0xa4, 0xc2, 0x11, 0x74, 0x8b, 0x3a, 0xdf, 0x50, 0x65, 0xf9, 0xb6,
	0x42, 0x84, 0x3b, 0x05, 0xcf, 0x29, 0x68, 0x6b, 0x54, 0x9f, 0xf1, 0x0d, 0xf4, 0x78, 0x9a, 0x56,
	0x24, 0x65, 0xd0, 0x19, 0x7b, 0x93, 0xc1, 0x94, 0x45, 0x66, 0x90, 0xe8, 0x4f, 0xe1, 0x28, 0x36,
	0xcc, 0xc4, 0x7d, 0x12, 0x6e, 0xa1, 0x67, 0xb1, 0x43, 0x53, 0xa9, 0x2a, 0x22, 0xe5, 0x9a, 0x9a,
	0x0a, 0xc7, 0x30, 0x30, 0xed, 0x57, 0xa2, 0x96, 0xae, 0xf7, 0x29, 0x84, 0x4f, 0x01, 0x4c, 0xb9,
	0xcc, 0xb8, 0xd2, 0x53, 0xf4, 0x93, 0x13, 0x84, 0xc5, 0x30, 0xb4, 0xb3, 0x24, 0x24, 0x4b, 0x51,
	0x48, 0xba, 0xfa, 0x42, 0x3d, 0x04, 0x57, 0xb5, 0xd4, 0x7d, 0xee, 0x26, 0xb6, 0x62, 0xcf, 0xc1,
	0x5f, 0x6b, 0xc6, 0x8d, 0x15, 0xb1, 0x77, 0x70, 0xff, 0x4b, 0x99, 0x72, 0x45, 0x6b, 0x9e, 0xd3,
	0x3f, 0xec, 0x93, 0xfd, 0xf4, 0xe0, 0x81, 0x51, 0x70, 0xcb, 0xba, 0x21, 0xf2, 0xf6, 0x68, 0x40,
	0x5b, 0x1b, 0xf0, 0xcc, 0x19, 0xf0, 0x37, 0x99, 0xff, 0x63, 0xc1, 0xf4, 0x47, 0x07, 0xfa, 0x9f,
	0x5c, 0x60, 0xf1, 0x03, 0x0c, 0xdf, 0x93, 0x8a, 0xb3, 0x4c, 0x43, 0x9b, 0x03, 0x34, 0xba, 0x48,
	0x8d, 0xcd, 0x6e, 0x18, 0x5e, 0x4f, 0x13, 0x6b, 0xbd, 0xf2, 0x70, 0x0e, 0x10, 0xa7, 0xa9, 0xbd,
	0xc4, 0x06, 0x76, 0xf8, 0xe8, 0xe2, 0xce, 0x65, 0x81, 0xb5, 0x30, 0x06, 0x7f, 0x41, 0x19, 0x29,
	0x72, 0x3a, 0x0f, 0x1d, 0xf7, 0xcc, 0xf4, 0x26, 0x89, 0x05, 0xf8, 0x9f, 0x89, 0x57, 0xdb, 0xdd,
	0x0d, 0x89, 0xc6, 0xf7, 0xe0, 0x0c, 0xe0, 0x98, 0x1e, 0x7c, 0x7c, 0x6e, 0xe4, 0x49, 0xa2, 0x9a,
	0x26, 0x59, 0x81, 0x7f, 0x66, 0x3c, 0x3e, 0x69, 0xca, 0x43, 0x83, 0xd2, 0xa6, 0xab, 0x7f, 0x2c,
	0xaf, 0x7f, 0x07, 0x00, 0x00, 0xff, 0xff, 0x5f, 0x8a, 0x27, 0x1a, 0x72, 0x04, 0x00, 0x00,
}
